Topic
6 replies Latest Post - ‏2014-01-31T18:35:45Z by eriggins
HowardKushner
HowardKushner
2 Posts
ACCEPTED ANSWER

Pinned topic Cannot configure IHS Plugin

‏2011-06-16T03:03:22Z |
Problem description
C:\IBM\Plugins\bin>ConfigureIHSPlugin.bat -plugin.home C:\IBM\Plugins -
plugin.config.xml C:\IBM\HTTPServer\Plugins\c
onfig\webserver1\plugin-cfg.xml -ihs.conf C:\IBM\HTTPServer\conf\httpd.
conf -WAS.webserver.name webserver1 -operatin
g.system.arch 32
PLUGIN_HOME = C:\IBM\Plugins
PLUGIN_CONFIG_XML = C:
\IBM\HTTPServer\Plugins\config\webserver1\plugin-cfg.xml
IHS_CONF_FILE = C:\IBM\HTTPServer\conf\httpd.conf
WEBSERVER_NAME = webserver1
INSTALL_ARCH = 32
WSVR0615W: The user.install.root system property is not set. Some
product classes might not be found.
java.lang.ClassNotFoundException: com.ibm.ws.ant.utils.
LibInvocationHandler
at java.net.URLClassLoader.findClass(URLClassLoader.java:434)
at com.ibm.ws.bootstrap.ExtClassLoader.findClass(ExtClassLoader.
java:181)
at java.lang.ClassLoader.loadClass(ClassLoader.java:646)
at com.ibm.ws.bootstrap.ExtClassLoader.loadClass(ExtClassLoader.
java:112)
at java.lang.ClassLoader.loadClass(ClassLoader.java:612)
at com.ibm.ws.bootstrap.WSLauncher.preInvoke(WSLauncher.java:
466)
at com.ibm.ws.bootstrap.WSLauncher.main(WSLauncher.java:267)

VERSION INFO FOR PLUGIN:

C:\IBM\Plugins\bin>versionInfo.bat
WVER0010I: Copyright (c) IBM Corporation 2002, 2005, 2008; All rights
reserved.
WVER0012I: VersionInfo reporter version 1.15.1.37, dated 1/4/11


IBM WebSphere Product Installation Status Report

Report at date and time June 15, 2011 2:59:46 PM EDT

Installation


Product Directory C:\IBM\Plugins
Version Directory C:\IBM\Plugins\properties\version
DTD Directory C:\IBM\Plugins\properties\version\dtd
Log Directory C:\Documents and Settings\All
Users\Application Data\IBM\Installation Manager WS_Beta\logs

Product List


PLG installed

Installed Product


Name Web server plug-ins for IBM WebSphere Application Server
Version 8.0.0.0
ID PLG
Build Level hh1108.14
Build Date 2/25/11
Architecture x86 (32 bit)


End Installation Status Report

VERSION INFO FOR IHS

C:\IBM\HTTPServer\bin>apache -V
Server version: IBM_HTTP_Server/8.0.0.0-beta3 (Win32)
Apache version: 2.2.8 (with additional fixes)
Server built: Jan 4 2011 11:34:45
Build level: IHS80/webIHS1101.02
Server's Module Magic Number: 20051115:20
Server loaded: APR 1.2.12, APR-Util 1.2.12
Compiled using: APR 1.2.12, APR-Util 1.2.12
Architecture: 32-bit
Server MPM: WinNT
threaded: yes (fixed thread count)
forked: no
Server compiled with....
-D APACHE_MPM_DIR="server/mpm/winnt"
-D APR_HAS_SENDFILE
-D APR_HAS_MMAP
-D APR_HAVE_IPV6 (IPv4-mapped addresses disabled)
-D APR_HAS_OTHER_CHILD
-D AP_HAVE_RELIABLE_PIPED_LOGS
-D DYNAMIC_MODULE_LIMIT=128
-D HTTPD_ROOT="/apache"
-D DEFAULT_SCOREBOARD="logs/apache_runtime_status"
-D DEFAULT_ERRORLOG="logs/error.log"
-D AP_TYPES_CONFIG_FILE="conf/mime.types"
-D SERVER_CONFIG_FILE="conf/httpd.conf"
Apache vulnerability fixes included:
CVE-2005-3352 CVE-2005-3357 CVE-2006-3918 CVE-2006-3747
CVE-2007-4465 CVE-2007-1862 CVE-2006-5752 CVE-2007-3304
CVE-2007-1863 CVE-2007-3847 CVE-2008-0005 CVE-2007-5000
CVE-2007-6388 CVE-2007-6422 CVE-2007-6421 CVE-2006-7225
CVE-2007-6420 CVE-2008-2364 CVE-2008-2939 CVE-2009-1195
CVE-2009-1955 CVE-2009-0023 CVE-2009-1956 CVE-2009-1890
CVE-2009-1891 CVE-2009-2412 CVE-2009-1191 CVE-2009-3094
CVE-2009-3095 CVE-2009-3555 CVE-2010-0408 CVE-2010-0434
CVE-2010-1452 CVE-2010-1623 CVE-2009-3560

C:\IBM\HTTPServer\bin>

Opened a PMR 86267,499,000 which was closed by IBM support (after brief review) with the following comment:

Hello Howard,

Thanks for your email response. WebSphere Application Server (WAS) v8.0
is NOT available for purchase yet. When it becomes available for
purchase, we call that the "GA" date. Technical support for WebSphere
Application Server v8.0 will begin on the GA date, not sooner. And,
technical support will only be given to those with a purchased copy of
WAS v8.0, not beta code.

Please check with your IBM Sales Rep regarding when and how you can get
a purchased copy of WebSphere Application Server v8.0.

This pmr will be closed.
Thanks!
--Steve Reid

ACTION PLAN: close pmr on NOSUV,103. unsupported code.
Updated on 2011-06-21T18:47:08Z at 2011-06-21T18:47:08Z by eriggins
  • SystemAdmin
    SystemAdmin
    462 Posts
    ACCEPTED ANSWER

    Re: Cannot configure IHS Plugin

    ‏2011-06-19T10:40:39Z  in response to HowardKushner
    Hi,

    Did you change the location of the temporary workspace?

    Its default is: profile_root\wstemp

    http://publib.boulder.ibm.com/infocenter/wasinfo/beta/index.jsp?topic=/com.ibm.websphere.express.doc/info/exp/ae/tcfg_console_workspacefiles.html

    //Ahmed
  • eriggins
    eriggins
    10 Posts
    ACCEPTED ANSWER

    Re: Cannot configure IHS Plugin

    ‏2011-06-21T18:47:08Z  in response to HowardKushner
    The root problem is that with v8, if you want to programmatically configure plugin, you must install PCT (Plugins Configuration Tool) which comes with WCT (WebSphere Configuration Tool). Due to the timing some of the original repositories are no longer avaiable, we are working with Howard to get WCT added to his installation but I wanted to update with the solution for anyone who may encounter this problem in the future.
    • sandeep.13
      sandeep.13
      2 Posts
      ACCEPTED ANSWER

      Re: Cannot configure IHS Plugin

      ‏2014-01-31T15:39:56Z  in response to eriggins

      Hi, I do have the same problem while trying to configure plugin in WAS  8.5. Can you please help me if you got the solution.

      Thanks,

      Sandeep.

      • eriggins
        eriggins
        10 Posts
        ACCEPTED ANSWER

        Re: Cannot configure IHS Plugin

        ‏2014-01-31T15:56:58Z  in response to sandeep.13

        Are you using the script or PCT? What operating system ?

        • sandeep.13
          sandeep.13
          2 Posts
          ACCEPTED ANSWER

          Re: Cannot configure IHS Plugin

          ‏2014-01-31T17:07:57Z  in response to eriggins

          I am using script and the operating system is Linux 64 bit.

          • eriggins
            eriggins
            10 Posts
            ACCEPTED ANSWER

            Re: Cannot configure IHS Plugin

            ‏2014-01-31T18:35:45Z  in response to sandeep.13

            You need to use PCT. Scripting is only available for the zOS operating system where PCT support is not available.